{ config, lib, pkgs, ... }:

with lib;
let
  domains = [ "www.infra4future.de" "hacc.earth" "www.hacc.earth" ];
in {

  services.nginx.virtualHosts =
    listToAttrs (map (host: nameValuePair host {
      useACMEHost = "infra4future.de";
      forceSSL = true;
      locations."/".proxyPass = "http://${config.containers.gitlab.localAddress}:8090";
    }) domains) // {
      "infra4future.de" = {
        enableACME = true;
        forceSSL = true;
        locations."/".proxyPass = "http://${config.containers.gitlab.localAddress}:8090";
      };
    };

  security.acme.certs."infra4future.de" = {
    extraDomainNames = domains;
  };
}
